<template>
  <div class="row row-cols-1 g-2">
    <div class="col text-white">
        <h5>Publicaciones destacadas</h5>
    </div>

    <div class="col " v-for="(publicacion, index) in publicacionesDestacadasShow" :key="publicacion.id">
        <PubliDestacada :index="index+1"  :publicacion="publicacion"/>
    </div>

    <div class="col collapse" id="collapseExample">
        <div class="row row-cols-1 g-2" >
            <div class="col" v-for="(publicacion,index) in publicacionesDestacadasHide" :key="publicacion.id">
                <PubliDestacada :index="index+3"  :publicacion="publicacion"/>
            </div>
        </div>    
    </div>
    <div class="col text-white">
        <a data-bs-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample"> ver mas</a>
    </div>
</div>
</template>

<script>
import PubliDestacada from "./PubliDestacada.vue"
export default {
    name: "CuadroPublicacionesDestacadas",
    data(){
        return{
            publicacionesDestacadas:[
                
            ],
            publicacionesDestacadasShow:[],
            publicacionesDestacadasHide:[],
        }
    },
    components:{
        PubliDestacada
    },
    props:{
        publicaciones:[]
    },
    methods:{
        ordenarPublicacionesDestacadas(){
            let i=0;
            for(let publicacion of this.publicaciones){
                if(i<2){
                    this.publicacionesDestacadasShow.push(publicacion)
                }else{
                    this.publicacionesDestacadasHide.push(publicacion)
                }
                i++;
            }
        }
    },
        mounted(){
        this.publicacionesDestacadas=this.publicaciones;
        this.ordenarPublicacionesDestacadas();
    }

}
</script>
